Diagnostikverktyget för DirectX

Dokumentationen om Microsofts diagnostikverktyg för DirectX® innehåller följande avsnitt:

  • Om diagnostikverktyget för DirectX
  • Vad du bör titta efter
  • Testa DirectX-komponenter
  • Åsidosätta standardvärden


Om diagnostikverktyget för DirectX

Med hjälp av diagnostikverktyget för DirectX från Microsoft kan du få information om komponenterna och drivrutinerna för API:et (programmeringsgränssnittet) på din dator. Du kan använda programmet för att testa utdata för ljud och grafik och Microsoft DirectPlay-tjänstproviders. Du kan också inaktivera vissa funktioner för maskinvaruacceleration.

Du kan använda diagnostikverktyget för att samla den information som supporttekniker kan behöva när du anlitar kundsupport och spara informationen som verktyget samlat ihop och klistra in den i ett e-postmeddelande.

Informationen presenteras på ett antal sidor. Du kan flytta mellan sidorna på något av följande sätt:

  • Klicka på flikarna.
  • Klicka på knappen Nästa sida.
  • Tryck på VÄNSTERPIL eller HÖGERPIL när inmatningsfokus är på en flik.

Du kan ange hur det här verktyget visar tabeller. Det gör du genom att välja den kolumn som du vill sortera tabellraderna efter. Klicka på rubrikknappen överst i kolumnen så sorteras tabellen i alfabetisk eller numerisk ordning efter objekten i kolumnen. Klicka på rubrikknappen igen om du vill visa posterna i omvänd sorteringsordning.

Du kan också klicka på knappen Spara all information för att spara all information i en textfil.

Obs!

  • Viss information, till exempel mängden minne på ett bildskärmskort, kan vara ungefärlig.


Vad du bör titta efter

Om det skulle uppstå problem när du kör Microsoft DirectX-program, kan diagnostikverktyget för DirectX hjälpa dig att hitta orsaken till problemet. Här följer några saker som kan vara bra att titta efter:

  • Felaktiga versioner av DirectX-komponenter. Titta efter varningar om beta- och felsökningsfiler under Obs! på sidan DirectX-filer. Beta-filer är tidiga testversioner och de bör inte installeras med kommersiell programvara. Felsökningsversioner, som används i bl a programutveckling och inte bör installeras med slutprodukten, kan vara orsaken till att program körs betydligt långsammare än med återförsäljarversioner av komponenterna.
  • Ingen maskinvaruacceleration. Vissa program körs väldigt långsamt eller inte alls om inte maskinvaruacceleration för Microsoft DirectDraw® eller Direct3D® är tillgänglig. Under DirectX-funktioner på sidan Bildskärm kan du se om DirectDraw, Direct3D eller AGP-strukturacceleration har markerats med "Ingen acceleration är tillgänglig". Om så är fallet kan det hända att du behöver uppgradera maskinvaran.
  • Enheten inte ansluten. Om en styrspak eller annan indataenhet inte svarar kan det hända att den inte har installerats ordentligt. Se till att enheten finns på sidan Indata i diagnostikverktyget för DirectX. Om enheten inte visas lägger du till den med hjälp av Kontrollpanelen.
  • Osignerade drivrutiner. Osignerade drivrutiner är drivrutiner som inte har testats av Microsoft. Därför kanske de inte är helt kompatibla med den senaste versionen av DirectX. Dessa drivrutiner listas på lämplig sida över komponenter.

Obs! Om du använder Terminal Services för att arbeta på ett fjärrsystem som stöder maskinvaruacceleration kan diagnostikverktyget för DirectX visa stöd för maskinvaruacceleration. Maskinvaruacceleration kan dock inte användas med Terminal Services så det finns inget stöd.


Testa DirectX-komponenter

Du kan testa Microsoft DirectDraw och Direct3D på de bildskärmar som är anslutna i systemet. Du kan också testa DirectSound på anslutna enheter för Wave-utdata och DirectMusic på alla anslutna musikportar.

Så här testar du en DirectX-funktion klickar du på knappen Test på lämplig sida, läs eventuella meddelanden som visas och titta på eller lyssna på testerna. Kör varje test tills du ser en ruta där du ska svara på om testet lyckades. Om du svarar Nej körs inga fler test.

När det gäller DirectMusic finns det endast ett test. Klicka på OK när du anser att musiken spelas upp korrekt, eller om den inte gör det.

Du kan testa DirectPlay-funktionalitet hos de tjänstproviders som finns tillgängliga.

Så här testar du DirectPlay

  1. Klicka på Testa DirectPlay på sidan Nätverk. Skriv användarnamn och välj en tjänstprovider i dialogrutan Test av DirectPlay. Markera Skapa ny session och klicka på OK. Om du har valt en modemanslutning klickar du på Svara i dialogrutan Modemanslutning så att modemet ställs i autosvarläge.
  2. Kör diagnostikverktyget för DirectX från Microsoft på en annan dator som kan etablera kontakt med den första datorn, med hjälp av den anslutning som valts. Klicka på Testa DirectPlay, skriv ett annat användarnamn, välj samma tjänstprovider, klicka på knappen Anslut till befintlig session och klicka på OK.

    Det kan hända att du måste ange mer information för vissa typer av anslutningar, till exempel telefonnummer. När det gäller en TCP/IP-anslutning i ett lokalt nätverk kan du låta textrutan vara tom.

  3. Markera namnet på sessionen i den lista över sessioner på den andra datorn, som innehåller namnet på den session som du skapade på den första datorn och klicka på OK.
  4. Nu ska båda datorerna visa en chat-dialogruta. Skriv ett meddelande i inmatningsrutan på den ena datorn och klicka på Skicka. Meddelandet bör visas i det rullningsbara området i båda datorernas chat-dialogrutor.


Åsidosätta standardvärden

Du kan ändra maskinvaruacceleration genom att flytta ett skjutreglage på sidan Ljud. Inställningen förblir aktiv när du har stängt diagnostikverktyget för DirectX från Microsoft.

Du kan inaktivera maskinvaruaccelerationen för Microsoft DirectDraw eller Direct3D om en sådan acceleration är tillgänglig. Om du vill göra detta går du till sidan Bildskärm för de grafikkort som är installerade på datorn och klickar på knappen Inaktivera. När du väl har inaktiverat maskinvaruaccelerationen är den inte längre tillgänglig för några program, inte ens när du har stängt diagnostikverktyget för DirectX. Om du vill aktivera maskinvaruaccelerationen igen klickar du på knappen Aktivera på lämplig bildskärmssida.

Obs!

  • När du inaktiverar accelerationen i DirectDraw inaktiveras den också i Direct3D.

Du kan också ändra skärmens uppdateringsfrekvens som ställts in av program i helskärmsläge i DirectDraw. Detta bör du bara göra om du har problem med något program och om det verkar rimligt att tro att en ogiltig uppdateringsfrekvens har angetts av programmet.

Så här ändrar du uppdateringsfrekvensen

  1. Klicka på knappen Åsidosätt på sidan Mer hjälp.
  2. Välj redigeringsrutan i dialogrutan Åsidosätt uppdateringsförfarande för DirectDraw och skriv in en giltig uppdateringsfrekvens för skärmen.

    Alternativknappen Eget värde markeras automatiskt när detta görs.

  3. Klicka på OK.

Så här ångrar du ändringen av uppdateringsfrekvensen och låter programmen i DirectDraw ange egna uppdateringsfrekvenser

  1. Klicka på knappen Åsidosätt på sidan Mer hjälp.
  2. Markera alternativknappen Standard i dialogrutan Åsidosätt uppdateringsförfarande för DirectDraw och klicka på OK.